org.apache.flume.instrumentation

## Interface SourceCounterMBean

- All Known Implementing Classes:
    KafkaSourceCounter, SourceCounter

      public interface SourceCounterMBean

  This interface represents a source counter mbean. Any class implementing this interface must sub-class MonitoredCounterGroup. This interface might change between minor releases. Please see SourceCounter class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAppendAcceptedCount()`
    `long` | `getAppendBatchAcceptedCount()`
    `long` | `getAppendBatchReceivedCount()`
    `long` | `getAppendReceivedCount()`
    `long` | `getEventAcceptedCount()`
    `long` | `getEventReceivedCount()`
    `long` | `getOpenConnectionCount()`
    `long` | `getStartTime()`
    `long` | `getStopTime()`
    `String` | `getType()`

- - ### Method Detail

    - #### getEventReceivedCount

          long getEventReceivedCount()

    - #### getEventAcceptedCount

          long getEventAcceptedCount()

    - #### getAppendReceivedCount

          long getAppendReceivedCount()

    - #### getAppendAcceptedCount

          long getAppendAcceptedCount()

    - #### getAppendBatchReceivedCount

          long getAppendBatchReceivedCount()

    - #### getAppendBatchAcceptedCount

          long getAppendBatchAcceptedCount()

    - #### getStartTime

          long getStartTime()

    - #### getStopTime

          long getStopTime()

    - #### getType

          String getType()

    - #### getOpenConnectionCount

          long getOpenConnectionCount()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.